package nsdb;
final public class NucFeatureListHolder
	implements org.omg.CORBA.portable.Streamable
{
	public nsdb.NucFeature[] value;

	public NucFeatureListHolder ()
	{
	}
	public NucFeatureListHolder (nsdb.NucFeature[] initial)
	{
		value = initial;
	}
	public org.omg.CORBA.TypeCode _type()
	{
		return NucFeatureListHelper.type();
	}
	public void _read(org.omg.CORBA.portable.InputStream in)
	{
		value = NucFeatureListHelper.read(in);
	}
	public void _write(org.omg.CORBA.portable.OutputStream out)
	{
		NucFeatureListHelper.write(out,value);
	}
}
